Index: palm/trunk/SCRIPTS/palm_gf_files/palm_gf_tools.py
===================================================================
--- palm/trunk/SCRIPTS/palm_gf_files/palm_gf_tools.py	(revision 4843)
+++ palm/trunk/SCRIPTS/palm_gf_files/palm_gf_tools.py	(revision 4869)
@@ -566,177 +362,81 @@
         if column == str("nynpey"):
             sorted_col = "nynpey"
-
             if self.nypey_table.isChecked() is True:
                 order = " DESC"
-
-            else:
-
-                order = " ASC"
-
-            self.ny_table.setChecked(False)
-            self.nz_table.setChecked(False)
-            self.npex_table.setChecked(False)
-            self.npey_table.setChecked(False)
-            self.npexnpey_table.setChecked(False)
-            self.np_table.setChecked(False)
-            self.nx_table.setChecked(False)
-            self.ngpts_table.setChecked(False)
-            self.nxpex_table.setChecked(False)
-
-        else:
-            pass
-
-        pathx = configwr.read_config()
-        pathx = pathx[19]
-
-
-        conn = sqlite3.connect(pathx + "/.palm_gf_data.db")
+            else:
+                order = " ASC"
+
+            self.ny_table.setChecked(False)
+            self.nz_table.setChecked(False)
+            self.npex_table.setChecked(False)
+            self.npey_table.setChecked(False)
+            self.npexnpey_table.setChecked(False)
+            self.np_table.setChecked(False)
+            self.nx_table.setChecked(False)
+            self.ngpts_table.setChecked(False)
+            self.nxpex_table.setChecked(False)
+
+        conn = sqlite3.connect('palm_gf_data.db')
         c = conn.cursor()
-        c.execute("SELECT * FROM grid_current  WHERE nx <= " + str(fnx_mx) + " AND nx >= "  + str(fnx_mn) + " AND ny <= " + str(fny_mx) + " AND ny >= " + str(fny_mn) + " AND nz <= " + str(fnz_mx) +
+        c.execute("SELECT * FROM grid_current  WHERE nx <= " + str(fnx_mx) + " AND nx >= " + str(
+            fnx_mn) + " AND ny <= " + str(fny_mx) + " AND ny >= " + str(fny_mn) + " AND nz <= " + str(fnz_mx) +
                   " AND nz >= " + str(fnz_mn) + " AND npex <= " + str(fnpex_mx) + " AND npex >= " +
-        str(fnpex_mn) + " AND npey <= " + str(fnpey_mx) + " AND npey >= " + str(fnpey_mn) + " AND "
-                  "npxnpy <= " + str(fnpxnpy_mx) + " AND npxnpy >= " + str(fnpxnpy_mn) + " AND np <= " + str(fnp_mx) + " AND np >= " + str(fnp_mn) + " AND ngpts <= " + str(fngpts_mx) + " AND ngpts >= " + str(fngpts_mn) +
-        " AND nxnpex <= " + str(nxpex_mx) + " AND nxnpex >= " + str(nxpex_mn) + " AND nynpey <= " + str(nypey_mx) + " AND nynpey >= " + str(nypey_mn) +
-        " ORDER BY " + str(sorted_col) + str(order))
-
-
+                  str(fnpex_mn) + " AND npey <= " + str(fnpey_mx) + " AND npey >= " + str(fnpey_mn) + " AND "
+                                                                                                      "pxpy <= " + str(
+            fnpxnpy_mx) + " AND pxpy >= " + str(fnpxnpy_mn) + " AND np <= " + str(fnp_mx) + " AND np >= " + str(
+            fnp_mn) + " AND ngpts <= " + str(fngpts_mx) + " AND ngpts >= " + str(fngpts_mn) +
+                  " AND nxnpex <= " + str(nxpex_mx) + " AND nxnpex >= " + str(nxpex_mn) + " AND nynpey <= " + str(
+            nypey_mx) + " AND nynpey >= " + str(nypey_mn) +
+                  " ORDER BY " + str(sorted_col) + str(order))
 
         sorted = c.fetchall()
-
-
         c.close()
         conn.close()
         self.tableWidget.setRowCount(len(sorted))
-
-        for row_indx in range(0,len(sorted)):
-
-            for col_indx in range(0,10):
+        for row_indx in range(0, len(sorted)):
+            for col_indx in range(0, 10):
                 row = sorted[row_indx]
                 value = row[col_indx]
                 if col_indx == 7:
-                    self.tableWidget.setItem(row_indx, col_indx, QtGui.QTableWidgetItem(str("%.1e" % value)))
+                    self.tableWidget.setItem(row_indx, col_indx, self.MyTableWidgetItem(str("%.1e" % value), col_indx))
                 else:
-                    self.tableWidget.setItem(row_indx, col_indx, QtGui.QTableWidgetItem(str(value)))
-
-
-
-    def sort_order(self):
-
-        sorted = 0
-        fnx_mn = self.nx_min.value()
-        fnx_mx = self.nx_max.value()
-        fny_mn = self.ny_min.value()
-        fny_mx = self.ny_max.value()
-        fnz_mn = self.nz_min.value()
-        fnz_mx = self.nz_max.value()
-        fnpex_mn = self.npex_min.value()
-        fnpex_mx = self.npex_max.value()
-        fnpey_mn = self.npex_min.value()
-        fnpey_mx = self.npey_max.value()
-        fnpxnpy_mn = self.npxnpy_min.value()
-        fnpxnpy_mx = self.npxnpy_max.value()
-        fnp_mn = self.np_min.value()
-        fnp_mx = self.np_max.value()
-        fngpts_mn = self.ngpts_min.value()
-        fngpts_mx = self.ngpts_max.value()
-
-        if str(self.Sortvariable_box.currentIndex()) == str(1):
-
-
-            sorted_col = "nx"
-        if str(self.Sortvariable_box.currentIndex()) == str(2):
-
-            sorted_col = "ny"
-        if str(self.Sortvariable_box.currentIndex()) == str(3):
-
-            sorted_col = "nz"
-        if str(self.Sortvariable_box.currentIndex()) == str(4):
-
-            sorted_col = "npex"
-        if str(self.Sortvariable_box.currentIndex()) == str(5):
-
-            sorted_col = "npey"
-        if str(self.Sortvariable_box.currentIndex()) == str(6):
-
-            sorted_col = "npxnpy"
-        if str(self.Sortvariable_box.currentIndex()) == str(7):
-
-            sorted_col = "np"
-        if str(self.Sortvariable_box.currentIndex()) == str(8):
-
-            sorted_col = "ngpts"
-
-        #print(self.Sortvariable_box.currentIndex())
-
-        if str(self.Sortorder_box.currentIndex()) == str(1):
-
-            order = " ASC"
-
-        if str(self.Sortorder_box.currentIndex()) == str(2):
-
-            order = " DESC"
-
-
-
-        conn = sqlite3.connect("/localdata/.palm_gf_data.db")
-        c = conn.cursor()
-        c.execute("SELECT * FROM grid_current  WHERE nx <= " + str(fnx_mx) + " AND nx >= "  + str(fnx_mn) + " AND ny <= " + str(fny_mx) + " AND ny >= " + str(fny_mn) + " AND nz <= " + str(fnz_mx) +
-                  " AND nz >= " + str(fnz_mn) + " AND npex <= " + str(fnpex_mx) + " AND npex >= " +
-        str(fnpex_mn) + " AND npey <= " + str(fnpey_mx) + " AND npey >= " + str(fnpey_mn) + " AND "
-                  "npxnpy <= " + str(fnpxnpy_mx) + " AND npxnpy >= " + str(fnpxnpy_mn) + " AND np <= " + str(fnp_mx) + " AND np >= " + str(fnp_mn) + " AND ngpts <= " + str(fngpts_mx) + " AND ngpts >= " + str(fngpts_mn) +
-        " ORDER BY " + str(sorted_col) + str(order))
-
-
-
-        sorted = c.fetchall()
-
-        c.close()
-        conn.close()
-        self.tableWidget.setRowCount(len(sorted))
-
-        for row_indx in range(0,len(sorted)):
-
-            for col_indx in range(0,8):
-                row = sorted[row_indx]
-                value = row[col_indx]
-                self.tableWidget.setItem(row_indx, col_indx, QtGui.QTableWidgetItem(str(var)))
-
-
-
-
-
-
-        #print(len(sorted))
-        #print(sorted)
-
-    def get_path(wildcard):
-        import wx
-        app = wx.App(None)
-        style = wx.FD_OPEN | wx.FD_FILE_MUST_EXIST
-        dialog = wx.FileDialog(None, 'Open', wildcard='*.db')
-        if dialog.ShowModal() == wx.ID_OK:
-            path = dialog.GetPath()
-
-            print(path, file)
-        else:
-            path = None
-        dialog.Destroy()
-        return
-
-
-
-
-
-
-
-
-
+                    self.tableWidget.setItem(row_indx, col_indx, self.MyTableWidgetItem(str(value), col_indx))
+
+        self.status_label.setText(str(len(sorted)) + ' results found')
+
+    def save_dialog(self):
+        # calling native PyQt5 Dialog to get desired save path
+        options = QFileDialog.Options()
+        options |= QFileDialog.DontUseNativeDialog
+        fileName, _ = QFileDialog.getSaveFileName(self, "Save .txt File", ".txt",
+                                                  "All Files (*.txt);;Text Files (*.txt)", options=options)
+        if fileName:
+            return fileName
+
+    def save(self):
+        # saves the file
+        # try because QFileDialog could be closed without choosing path
+        try:
+            if len(self.tableWidget.selectedItems()) != 0:
+                location = self.save_dialog()
+                data2safe = self.tableWidget.selectedItems()
+                if location is not None:
+                    with open(location, 'w') as file:
+                        file.write('nx  ' + 'ny  ' + 'nz  ' + 'npex  ' + 'npey' + "\n")
+                        for row in range(0, int(len(data2safe)), 10):
+                            file.write(str(data2safe[0+row].text()) + '  ' + str(data2safe[1+row].text()) + '  ' +
+                                       str(data2safe[2+row].text()) + '  ' + str(data2safe[3+row].text()) + '  ' +
+                                       str(data2safe[4+row].text()) + "\n")
+                    file.close()
+            else:
+                self.status_label.setText('Select to save')
+        except AttributeError:
+            pass
 
 
 if __name__ == "__main__":
-    app = QtGui.QApplication(sys.argv)
-    window = MyApp3()
-    window.setWindowTitle('Gridfilter')
+    app = QtWidgets.QApplication(sys.argv)
+    window = MyTable()
+    window.setWindowTitle('palm_gf Table')
     window.show()
     sys.exit(app.exec_())
-
